libzypp 17.37.10

Solvable.cc File Reference
`#include <iostream>`
`#include <zypp/base/Logger.h>`
`#include <zypp/base/Gettext.h>`
`#include <zypp/base/Exception.h>`
`#include <zypp/base/Functional.h>`
`#include <zypp/base/Collector.h>`
`#include <zypp/base/Xml.h>`
`#include <zypp/sat/detail/PoolImpl.h>`
`#include <zypp/sat/Solvable.h>`
`#include <zypp/sat/Pool.h>`
`#include <zypp/sat/LookupAttr.h>`
`#include <zypp/Repository.h>`
`#include <utility>`
`#include <zypp-core/OnMediaLocation>`
`#include <zypp/ZConfig.h>`
`#include <zypp/ui/Selectable.h>`

Go to the source code of this file.

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::sat

## Macros
#define | NO_SOLVABLE_RETURN(VAL)
#define | DECLARE_CAP_FWD(_Fnc_Name)
#define | OUTS(X)

## Macro Definition Documentation

## ◆ NO_SOLVABLE_RETURN

#define NO_SOLVABLE_RETURN | ( |  | VAL | ) |

Value:
detail::CSolvable * _solvable( get() ); \
if ( ! _solvable ) return VAL

Definition at line 110 of file Solvable.cc.

## ◆ DECLARE_CAP_FWD

#define DECLARE_CAP_FWD | ( |  | _Fnc_Name | ) |

Value:
Capabilities Solvable::_Fnc_Name() const \
{ return dep_##_Fnc_Name(); }

Definition at line 535 of file Solvable.cc.

## ◆ OUTS

#define OUTS | ( |  | X | ) |

Value:
if ( ! obj[Dep::X].empty() ) str << endl << " " #X " " << obj[Dep::X]
X
#define X(T)
str
String related utilities and Regular expression matching.